VERIFIED SOLUTION i
X

Resolve Visual Studio 2013 Toolbox not showing any toolbox controls for MapXtreme 6.8.

Issue

The Visual Studio 2013 Toolbox does not have any MapXtreme controls, even though the map control was added automatically to the default form.

Cause

If you try to install MapXtreme 6.8 with Visual Studio 2013, then there are no templates or tools shown in the VS 2013 IDE environment. 

Problematic area:
1. Customer is trying to run MapXtreme 6.8 with VS2013.
2. Visual Studio 2013 didn't support MapXtreme 6.8.

Cause 1. When upgrading a MapXtreme 6.8 project with Visual Studio 2008 to 2013, it runs successfully, but the toolbox does not have any MapInfo controls. 

Cause 2. When creating the Visual Studio 2008 sample project under the sample directory for MapXtreme 6.8 and then opening it in Visual Studio 2013, the project is upgraded automatically with no major errors reported.  However, the conversion results in the references still linking to the 6.8 assemblies (which is expected) and, once again, the toolbox is not populated with the MapInfo controls that were visible in 2008.

Resolution

UPDATED: May 22, 2018


MapXtreme 6.8 is not supported in Visual Studio 2013. As of now MapXtreme 6.8 is integrated only with Visual Studio 2005 and 2008 only.

To resolve this issue, install MapXtreme 6.8 with only the support system requirements detailed in this section.

Supported OS Environments with Mapxtreme 6.8:
Product Feature: Web Controls

Operating System: 
• Windows 2000 Professional SP 4
• Windows 2000 Server SP 4
• Windows 2000 Advanced Server SP 4
• Windows XP Professional SP 2
• Windows XP Professional Edition x64 †
• Windows Server 2003 Standard Edition SP2
• Windows Server 2003 Standard Edition x64
• Windows Server 2003 Enterprise Edition SP2
• Windows Server 2003 Enterprise Edition x64†
• Windows Server 2003 Web Edition SP2
• Windows Server 2008 Standard Edition (x86, x64)†
• Windows Server 2008 Enterprise Edition(x86, x64)†
• Windows Vista Ultimate (x86, x64)†

† 32-bit emulation mode only via Microsoft's Windows-on-Windows (WoW64) technology

Supported IDE Environments with Mapxtreme 6.8:
 
• Microsoft .NET Framework 2.0 SP1
• Visual Studio 2005 SP1 (Professional and Standard Editions)
• Visual Studio 2008 (Professional and Standard Editions)

‡ Recommended development environments (IDE). Others can be used, however, the MapXtreme
installer will not integrate its templates, samples, and help system. 
 
Supported databases:
 
Supported databases include:
• IBM Informix Dynamic Server 9.3
• IBM Informix Dynamic Server 9.4
• MapInfo SpatialWare® 4.5.1 for IBM Informix Dynamic Server 9.3
• MapInfo SpatialWare® 4.5.2 for IBM Informix Dynamic Server 9.4
• Microsoft Access 97
• Microsoft Access 2000
• Oracle 9i
• Oracle 9ir2
• Oracle 10G
• Oracle 10Gr2
• Microsoft SQL Server 2000
• Microsoft SQL Server 2005
• MapInfo SpatialWare® 4.8.1 for Microsoft SQL Server 2000
• MapInfo SpatialWare® 4.9 for Microsoft SQL Server 2000
• MapInfo SpatialWare® 4.9 for Microsoft SQL Server 2005 1
• MapInfo SpatialWare® 4.9.2 for Microsoft SQL Server 2005 64 bit 1
 
 
 

Environment Details

Customer Environment 
MapXtreme 6.8 and VS 2013

Downloads

  • No Downloads